Skip to main content
POST
/
form
/
human_input
/
{form_token}
人間の入力フォームを送信
curl --request POST \
  --url https://{api_base_url}/form/human_input/{form_token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": {
    "feedback": "公開して問題ありません",
    "priority": "high",
    "attachment": {
      "transfer_method": "local_file",
      "upload_file_id": "3c8fa1b2-7d4e-4f9a-b0c1-d2e3f4a5b6c7",
      "type": "image"
    },
    "attachments": [
      {
        "transfer_method": "local_file",
        "upload_file_id": "1a77f0df-c0e6-461c-987c-e72526f341ee",
        "type": "document"
      },
      {
        "transfer_method": "remote_url",
        "url": "https://example.com/report.pdf",
        "type": "document"
      }
    ]
  },
  "action": "approve",
  "user": "abc-123"
}
'
{}

Authorizations

Authorization
string
header
required

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。

Path Parameters

form_token
string
required

一時停止中のフォームへのアクセストークン。ストリーミングモードのワークフローを実行エンドポイントまたはチャットメッセージを送信エンドポイントが返す human_input_required イベントから取得します。

Body

application/json
inputs
object
required

各入力の output_variable_name をキーとして送信する値。段落と選択の入力は文字列、file 入力は単一のファイルマッピング、file-list 入力はファイルマッピングの配列です。ファイルマッピングは {transfer_method: local_file, upload_file_id, type} または {transfer_method: remote_url, url, type} で、type はそのフィールドの allowed_file_types のいずれか(imagedocumentaudiovideocustom)です。local_file の場合、upload_file_idファイルをアップロード が返す id です。実行、アップロード、送信の各呼び出しで一貫した user を使用してください。

action
string
required

受信者が選択したアクションボタンの ID。フォームの user_actions リスト(人間の入力フォームを取得 エンドポイントから返される)にある id のいずれかと一致する必要があります。

user
string
required

ユーザー識別子。開発者のルールで定義され、アプリケーション内で一意である必要があります。Service API と WebApp のユーザー ID は独立しており、値が同じでも同じユーザーを指しません。

Response

フォームの送信に成功しました。レスポンスボディは空のオブジェクトです。

The response is of type object.

Last modified on June 26, 2026